Bug 240056 - [NEW PORT] devel/py-oci: Python interface to Oracle Cloud Infrastructure
Summary: [NEW PORT] devel/py-oci: Python interface to Oracle Cloud Infrastructure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://docs.cloud.oracle.com/iaas/Co...
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-08-23 13:32 UTC by Alessandro Sagratini
Modified: 2019-09-18 17:27 UTC (History)
3 users (show)

See Also:
kai: maintainer-feedback+


Attachments
shar file (2.21 KB, application/x-bzip)
2019-08-23 13:32 UTC, Alessandro Sagratini
no flags Details
new shar file and logs from testing commands (40.93 KB, application/x-bzip)
2019-08-24 08:04 UTC, Alessandro Sagratini
no flags Details
shar file (2.13 KB, text/plain)
2019-08-25 06:31 UTC, Alessandro Sagratini
no flags Details
portlint -A output (12 bytes, text/plain)
2019-08-25 06:32 UTC, Alessandro Sagratini
no flags Details
poudriere output (567.30 KB, text/plain)
2019-08-25 06:33 UTC, Alessandro Sagratini
no flags Details
output from make describe (1.07 KB, text/plain)
2019-08-25 06:33 UTC, Alessandro Sagratini
no flags Details
output from port test (562.58 KB, text/plain)
2019-08-25 06:34 UTC, Alessandro Sagratini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Sagratini 2019-08-23 13:32:04 UTC
Created attachment 206830 [details]
shar file

Hello,
I have just create OCI Python SDK port, you can find .shar file attached to this bug.
The Python SDK enables you to write code to manage Oracle Cloud Infrastructure resources.

https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/pythonsdk.htm

Please let me know if there's anything else you need from me or if you have any comments.

Thank you,
Alessandro
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-23 13:41:32 UTC
Thanks for the new port submissions Allessandro.

A couple of review items:

- PORTREVISION shouldn't be set for a new port
- Port should be py-prefixed (directory name)
- Use USE_GITHUB/GH_* variables instead of direct to github MASTER_SITES [1]

Note: DISTNAME shouldn't be necessary if you use DISTVERSIONPREFIX. See Example 5.12 of the porters handbook section on USE_GITHUB below. WRKSRC and EXTRACT_SUFX shouldn't be necessary either

Please also, confirm this port passes QA (portlint and poudriere in particular), as it will pick up many other porting compliance issues and qualify the full packaging process. For more information and instructions see: https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-master_sites-github-description
Comment 2 Alessandro Sagratini 2019-08-24 08:04:12 UTC
Created attachment 206841 [details]
new shar file and logs from testing commands
Comment 3 Alessandro Sagratini 2019-08-24 08:05:49 UTC
Thanks for your prompt response Kubilay! I have made requested modifications to the port and attached new shar file and logs from testing section to this bug.

Please let me know if you have any further comments on it.
Thank you,
Alessandro
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-25 04:12:46 UTC
(In reply to Alessandro Sagratini from comment #3)

Thank you for following-up. If you could include the shar and logs as separate (and uncompressed) files, that would be great
Comment 5 Alessandro Sagratini 2019-08-25 06:31:49 UTC
Created attachment 206872 [details]
shar file
Comment 6 Alessandro Sagratini 2019-08-25 06:32:31 UTC
Created attachment 206873 [details]
portlint -A output
Comment 7 Alessandro Sagratini 2019-08-25 06:33:01 UTC
Created attachment 206874 [details]
poudriere output
Comment 8 Alessandro Sagratini 2019-08-25 06:33:40 UTC
Created attachment 206875 [details]
output from make describe
Comment 9 Alessandro Sagratini 2019-08-25 06:34:28 UTC
Created attachment 206876 [details]
output from port test
Comment 10 Alessandro Sagratini 2019-08-25 06:35:50 UTC
(In reply to Kubilay Kocak from comment #4)
Thanks for getting back to me Kibilay, this is done, please let me know if you need anything else from me.

Thanks,
Alessandro
Comment 11 Alessandro Sagratini 2019-08-28 14:19:21 UTC
Thanks Kubilay for the feedback on this port: is there anything else I should do or do we have to wait for further feedback in order to move forward?

Regards,
Alessandro
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-01 22:41:26 UTC
(In reply to Alessandro Sagratini from comment #11)

Everything looks in order, just waiting on a developer to commit
Comment 13 Kai Knoblich freebsd_committer 2019-09-18 12:55:26 UTC
(In reply to Alessandro Sagratini from comment #10)

Hi Alessandro,

thank you for your contribution. I've only two questions at the moment:

- Version 2.5 was released recently. If you like I can change the patch to that version in my local repository.

- The email address here at Bugzilla should match with the one in the MAINTAINER field. If you want to use the "@hotmail.com" address I can change it in my local repository. Otherwise if you want to use the "@gmail.com" address you should change the email address here at Bugzilla.

I've also opened an issue at the upstream repository because the testsuite in "tests/" fails if it run outside an virtualenv and the `tests/` aren't available in the sdist via PyPI.

But don't worry, the last paragraph isn't a showstopper. Once you can confirm me which email address should be used and if the newer version (= 2.5) of "devel/py-oci" may be used, we're all set to commit the patch.
Comment 14 Alessandro Sagratini 2019-09-18 14:19:15 UTC
Thanks for your prompt feedback on this Kai! Please find answers below:
 1. Yes, version 2.5.0 was released yesterday, I agree it's good to have most recent version in the ports tree, these are sha256 and size for 2.5.0 version from make makesum
 SHA256 (oracle-oci-python-sdk-v2.5.0_GH0.tar.gz) = 59a37653c36542f55de13828ae50ce287d2c5c1f3f6723116c49d4bf86545192
 SIZE (oracle-oci-python-sdk-v2.5.0_GH0.tar.gz) = 3170558
 2. It is ok for me to use @hotmail.com rather than @gmail.com in MAINTAINER field 

Let me know if there's anything else you need from me.
Comment 15 commit-hook freebsd_committer 2019-09-18 17:14:58 UTC
A commit references this bug:

Author: kai
Date: Wed Sep 18 17:14:35 UTC 2019
New revision: 512279
URL: https://svnweb.freebsd.org/changeset/ports/512279

Log:
  [NEW PORT]: devel/py-oci

  The Python SDK enables one to write code to manage Oracle Cloud Infrastructure
  resources. Following services are supported:

  * Announcements, Audit, Budgets
  * Container Engine for Kubernetes
  * Compute Autoscaling/Work Requests
  * Content and Experience
  * Core Services (Networking, Compute, Block Volume)
  * Data Transfer, Database, DNS
  * Email Delivery, Events
  * File Storage, Functions
  * Health Checks, IAM (= Identity and Access Management)
  * Key Management
  * Limits, Load Balancing
  * Monitoring, Notifications
  * Object Storage, Quotas
  * Resource Manager, Search, Streaming
  * Web Application Acceleration and Security

  WWW: https://github.com/oracle/oci-python-sdk/

  PR:		240056
  Submitted by:	Alessando Sagratini <ale_sagra@hotmail.com>
  Reviewed by:	koobs

Changes:
  head/devel/Makefile
  head/devel/py-oci/
  head/devel/py-oci/Makefile
  head/devel/py-oci/distinfo
  head/devel/py-oci/pkg-descr
Comment 16 Kai Knoblich freebsd_committer 2019-09-18 17:27:41 UTC
(In reply to Alessandro Sagratini from comment #14)

Committed, once again thank you for your contribution!

I did only some minor fixes: 

- Synced the RUN_DEPENDS as given in setup.py
- Changed PORTNAME to "oci" to match the package name at PyPI
- Added UPL license information (the package is dual licensed)
- Improved the pkg-descr a bit to make it more meaningful for the users
- Changed MASTER_SITES to CHEESESHOP because it's the preferred way for Python packages (GitHub is used mostly as an alternative, e.g. for the case if testsuites are missing)

The latter would apply for devel/py-oci but the testsuite in the GitHub tarball isn't usable at the moment. Thus I added a remark for future updates to revise that point again.